[Stable Update i686] 2019-08-03 - GCC, systemd, Chromium, Palemoon, Kernels

Hello i686ers!

After a bit of a hiatus a resume of announcement posts.

There aren't too many changes over the previous "unannounced" update, mainly bringing in updates to browsers and kernels.


Available kernels

Series Version PAE
linux316 3.16.71 No
linux44 4.4.187 No
linux49 4.9.187 No
linux414 4.14.136 No
linux419 4.19.64 Yes

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                            linux316            3.16.70-1            3.16.71-1
                    linux316-headers            3.16.70-1            3.16.71-1
                            linux414           4.14.133-1           4.14.135-1
                    linux414-headers           4.14.133-1           4.14.135-1
                            linux419            4.19.59-2            4.19.63-1
                    linux419-headers            4.19.59-2            4.19.63-1
                             linux44            4.4.185-1            4.4.186-1
                     linux44-headers            4.4.185-1            4.4.186-1
                             linux49            4.9.185-1            4.9.186-1
                     linux49-headers            4.9.185-1            4.9.186-1
                             systemd             242.32-3             242.84-1
                        systemd-libs             242.32-3             242.84-1
                  systemd-resolvconf             242.32-3             242.84-1
                  systemd-sysvcompat             242.32-3             242.84-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                        b43-fwcutter              019-2.1              019-2.3
                        bridge-utils              1.6-3.0              1.6-3.2
                               bzip2            1.0.8-2.0            1.0.8-2.1
                                dash         0.5.10.2-1.2         0.5.10.2-1.4
                              dhcpcd            7.2.2-1.0            7.2.2-1.1
                           diffutils              3.7-1.0              3.7-1.2
                          dosfstools              4.1-2.0              4.1-2.2
                            fakeroot             1.23-1.5             1.23-1.7
                           findutils            4.6.0-4.1            4.6.0-4.2
                                 gcc            8.3.0-1.0            9.1.0-2.4
                             gcc-ada            8.3.0-1.0            9.1.0-2.4
                         gcc-fortran            8.3.0-1.0            9.1.0-2.4
                              gcc-go            8.3.0-1.0            9.1.0-2.4
                            gcc-libs            8.3.0-1.0            9.1.0-2.4
                            gcc-objc            8.3.0-1.0            9.1.0-2.4
                               glibc             2.29-2.8             2.29-4.0
                                grep              3.3-1.0              3.3-1.2
                                gzip             1.10-1.0             1.10-1.2
                              hdparm             9.58-1.0             9.58-1.2
                           logrotate           3.15.0-1.2           3.15.0-1.3
                               mdadm              4.1-1.0              4.1-1.2
                mkinitcpio-nfs-utils              0.3-6.1              0.3-6.3
                             mlocate0.26.git.20170220-1.10.26.git.20170220-1.3
                                nspr             4.21-1.0             4.21-1.1
                                 pth            2.0.7-6.1            2.0.7-6.3
                                 sed              4.7-1.2              4.7-1.3
                                 tar             1.32-1.2             1.32-1.3
                               which             2.21-3.0             2.21-3.2


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                            chromium    75.0.3770.100-0.1       76.0.3809.87-0
                  linux316-acpi_call             1.1.0-70             1.1.0-71
                linux316-broadcom-wl      6.30.223.271-70      6.30.223.271-71
                   linux316-catalyst     1:15.201.1151-69     1:15.201.1151-71
                linux316-ndiswrapper              1.61-70               1.62-1
               linux316-nvidia-340xx           340.107-70           340.107-71
               linux316-nvidia-390xx           390.116-70           390.116-71
                      linux316-r8168           8.047.02-1          8.047.02-71
                  linux316-rt3562sta        2.4.1.1_r4-70        2.4.1.1_r4-71
                linux316-vhba-module          20190410-70          20190410-71
    linux316-virtualbox-host-modules             6.0.8-70             6.0.8-71
                        linux316-zfs             0.8.1-70             0.8.1-71
                  linux414-acpi_call            1.1.0-133            1.1.0-135
                   linux414-bbswitch              0.8-133              0.8-135
                linux414-broadcom-wl     6.30.223.271-133     6.30.223.271-135
                linux414-ndiswrapper             1.61-133             1.62-135
               linux414-nvidia-340xx          340.107-133          340.107-135
               linux414-nvidia-390xx          390.116-133          390.116-134
                      linux414-r8168           8.047.02-1         8.047.02-135
                  linux414-rt3562sta       2.4.1.1_r4-133       2.4.1.1_r4-135
                linux414-vhba-module         20190410-133         20190410-135
   linux414-virtualbox-guest-modules            6.0.8-133            6.0.8-135
    linux414-virtualbox-host-modules            6.0.8-133            6.0.8-135
                        linux414-zfs            0.8.1-133            0.8.1-135
                  linux419-acpi_call           1.1.0-59.0             1.1.0-63
                   linux419-bbswitch             0.8-59.0               0.8-63
                linux419-broadcom-wl    6.30.223.271-59.0      6.30.223.271-63
                linux419-ndiswrapper            1.61-59.0              1.62-63
               linux419-nvidia-340xx         340.107-59.0           340.107-63
               linux419-nvidia-390xx         390.116-59.0           390.116-62
                   linux419-nvidiabl            0.88-59.0              0.88-63
                      linux419-r8168        8.047.01-59.0          8.047.02-63
                linux419-vhba-module        20190410-59.0          20190410-63
   linux419-virtualbox-guest-modules           6.0.8-59.0             6.0.8-63
    linux419-virtualbox-host-modules           6.0.8-59.0             6.0.8-63
                        linux419-zfs           0.8.1-59.0             0.8.1-63
                   linux44-acpi_call            1.1.0-185            1.1.0-186
                 linux44-broadcom-wl     6.30.223.271-185     6.30.223.271-186
                    linux44-catalyst    1:15.201.1151-184    1:15.201.1151-186
                 linux44-ndiswrapper             1.61-185               1.62-1
                linux44-nvidia-390xx          390.116-185          390.116-186
                       linux44-r8168           8.047.02-1         8.047.02-186
                   linux44-rt3562sta       2.4.1.1_r4-185       2.4.1.1_r4-186
                 linux44-vhba-module         20190410-185         20190410-186
    linux44-virtualbox-guest-modules            6.0.8-185            6.0.8-186
     linux44-virtualbox-host-modules            6.0.8-185            6.0.8-186
                         linux44-zfs            0.8.1-185            0.8.1-186
                   linux49-acpi_call            1.1.0-185            1.1.0-186
                    linux49-bbswitch              0.8-185              0.8-186
                 linux49-broadcom-wl     6.30.223.271-185     6.30.223.271-186
                    linux49-catalyst    1:15.201.1151-184    1:15.201.1151-186
                 linux49-ndiswrapper             1.61-180               1.62-1
                linux49-nvidia-340xx          340.107-185          340.107-186
                linux49-nvidia-390xx          390.116-185          390.116-186
                       linux49-r8168           8.047.02-2         8.047.02-186
                   linux49-rt3562sta       2.4.1.1_r4-182       2.4.1.1_r4-186
                 linux49-vhba-module         20190410-185         20190410-186
    linux49-virtualbox-guest-modules            6.0.8-185            6.0.8-186
     linux49-virtualbox-host-modules            6.0.8-185            6.0.8-186
                         linux49-zfs            0.8.1-185            0.8.1-186
                       manjaro-hello              0.6.1-1              0.6.1-2
                         thunar-gtk3              1.8.7-5              1.8.8-2
                    xfce4-panel-gtk3             4.13.6-2             4.13.6-4
                 xfce4-settings-gtk3             4.13.7-2             4.13.7-9


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                           arptables            0.0.4-5.1            0.0.4-5.3
                          convertlit              1.8-8.3              1.8-8.5
                                cpio             2.12-4.0             2.12-4.2
                            dhclient            4.4.1-4.3            4.4.1-4.5
                                dhcp            4.4.1-4.3            4.4.1-4.5
                           dmidecode              3.2-1.1              3.2-1.3
                            enscript            1.6.6-3.0            1.6.6-3.2
                              figlet            2.2.5-3.3            2.2.5-3.5
                          gnu-netcat            0.7.1-7.0            0.7.1-7.2
                               gpart              0.3-2.1              0.3-2.3
                           libdvdcss            1.4.2-1.1            1.4.2-1.3
                              libxmi              1.2-8.0              1.2-8.2
                             mp3wrap              0.5-5.1              0.5-5.3
                                nasm          2.14.02-1.2          2.14.02-1.4
                                nawk         20180827-1.0         20180827-1.2
                            nss-mdns           0.14.1-1.1           0.14.1-1.3
                            procmail             3.22-9.1             3.22-9.3
                        rpcsvc-proto              1.4-1.3              1.4-1.5
                               snarf              7.0-7.1              7.0-7.3
                                time              1.9-2.0              1.9-2.2
                                tree            1.8.0-1.0            1.8.0-1.2
                               unzip             6.0-13.0             6.0-13.1
                 xf86-input-keyboard            1.9.0-3.0            1.9.0-3.2
                    xf86-input-mouse            1.9.3-1.1            1.9.3-1.3
                     xf86-input-void            1.4.1-4.0            1.4.1-4.2
                    xf86-video-dummy            0.3.8-3.1            0.3.8-3.3
                    xf86-video-fbdev            0.5.0-1.1            0.5.0-1.3
                   xf86-video-sisusb            0.9.7-2.1            0.9.7-2.3
                   xf86-video-voodoo           1.2.5-10.1           1.2.5-10.3
                       xorg-bdftopcf              1.1-1.1              1.1-1.3
                                yasm            1.3.0-3.0            1.3.0-3.2
                                 zip              3.0-8.1              3.0-8.2


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                              amarok2.9.0.r249.g67c651bc60-12.9.0.r369.854844c1dc-1
            artwork-cinnamon-minimal           20180522-1           20190731-1
                               brave            0.66.99-1           0.67.119-1
                 cinnamon-wallpapers           20180522-1           20190731-1
                             gtkhash                1.2-1                1.2-3
                        gtkhash-caja                1.2-1                1.2-3
                    gtkhash-nautilus                1.2-1                1.2-3
                        gtkhash-nemo                1.2-1                1.2-3
                      gtkhash-thunar                1.2-1                1.2-3
                          guayadeque0.4.5.r68.9688c4d0c-10.4.6.r2121.85c97c95-2
                                inxi             3.0.34-1             3.0.35-1
               lightdm-slick-greeter              1.2.5-1              1.2.6-1
              manjaro-openbox-config             1.18.2-3             1.19.0-9
    manjaro-openbox-desktop-settings             1.18.2-3             1.19.0-9
                              octopi             0.9.0-12             0.9.0-13
          octopi-notifier-frameworks             0.9.0-12             0.9.0-13
                 octopi-notifier-qt5             0.9.0-12             0.9.0-13
                        palemoon-bin           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-ar           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-bg           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-cs           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-da           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-de           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-el           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-en-gb           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-es-ar           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-es-es           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-es-mx           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-fi           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-fr           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-gl           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-hr           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-hu           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-id           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-is           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-it           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-ja           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-kn           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-ko           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-nl           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-pl           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-pt-br           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-pt-pt           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-ro           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-ru           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-sk           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-sl           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-sr           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-sv-se           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-tl           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-tr           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-uk           28.6.0.1-1             28.6.1-1
                    palemoon-i18n-vi           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-zh-cn           28.6.0.1-1             28.6.1-1
                 palemoon-i18n-zh-tw           28.6.0.1-1             28.6.1-1
                                 pix              2.0.3-1              2.2.1-1
                             polybar            3.2.1-2.2              3.4.0-2
                               snapd             2.39.3-3               2.40-1
                             xplayer              2.0.2-2              2.2.2-1
                                 yad             0.42.0-2                1.0-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-??           2019-08-03
-------------------------------------------------------------------------------
                                acpi              1.7-2.1              1.7-2.3
                      acpi_call-dkms          1.1.0-229.0          1.1.0-235.0
                       arduino-ctags    5.8_arduino11-3.0    5.8_arduino11-3.2
                                 arj         3.10.22-12.2         3.10.22-12.4
                               ascii             3.18-1.1             3.18-1.3
                              babeld            1.8.4-1.0            1.8.4-1.2
                             barcode             0.99-4.0             0.99-4.2
                                 bbe            0.2.2-2.2            0.2.2-2.4
                              bchunk            1.2.2-4.1            1.2.2-4.2
                             benzene         20130630-1.1         20130630-1.3
                             bin2iso             1.9b-5.1             1.9b-5.3
                               bin86          0.16.21-2.1          0.16.21-2.3
                                blop            0.2.8-3.1            0.2.8-3.3
                         broadcom-wl   6.30.223.271-116.0   6.30.223.271-122.0
                              bsdiff              4.3-9.1              4.3-9.2
                            buckygen              1.0-2.1              1.0-2.3
                             busybox           1.30.1-2.1           1.30.1-3.0
                              catdoc             0.95-2.0             0.95-2.2
                             ccd2iso              0.3-9.3              0.3-9.5
                           cd-discid              1.4-2.3              1.4-2.5
                           chrootuid              1.3-7.3              1.3-7.5
                             chrpath             0.16-2.3             0.16-2.5
                      container-diff           0.15.0-1.1           0.15.0-1.2
                            cpulimit            1:0.2-1.3            1:0.2-1.5
                               cunit            2.1.3-2.3            2.1.3-2.5
                              cutter             1.04-2.3             1.04-2.5
                              dcfldd          1.3.4.1-5.3          1.3.4.1-5.5
                           dd_rescue           1.99.8-1.3           1.99.8-1.5
                                 dfc            3.1.1-1.3            3.1.1-1.5
                             dhcping              1.2-2.3              1.2-2.5
                          diffoscope              118-1.0              120-1.0
                            diffstat             1.62-1.0             1.62-1.2
                           docbook2x           0.8.8-16.0           0.8.8-16.1
                      docker-machine           0.16.1-2.2           0.16.1-2.3
                            dos2unix            7.4.0-1.3            7.4.0-1.5
                           ecm-tools             1.03-2.3             1.03-2.5
                            evilginx            2.3.0-2.2            2.3.0-2.3
                              evtest             1.33-3.3             1.33-3.5
                             fatsort        1.5.0.456-1.0        1.5.0.456-1.2
                              fbdump            0.4.2-5.3            0.4.2-5.5
                               fbset              2.1-6.3              2.1-6.5
                           fcrackzip              1.0-5.3              1.0-5.5
                              fdkaac            1.0.0-1.1            1.0.0-1.2
                              fdupes          1:1.6.1-2.0          1:1.6.1-2.2
                          findnewest              0.3-2.0              0.3-2.2
                            foremost            1.5.7-4.3            1.5.7-4.5
                               ftjam         2.5.3rc2-5.3         2.5.3rc2-5.5
                                 fzy              1.0-1.0              1.0-1.2
                             gen2shp           0.3.1-11.1           0.3.1-11.3
                            glew1.10           1.10.0-2.1           1.10.0-2.2
                          go-bindata            3.4.0-2.2            3.4.0-2.3
                               godep             2:80-2.2             2:80-2.3
                             gprolog            1.4.5-1.1            1.4.5-1.3
                           gpsmanshp            1.2.3-3.0            1.2.3-3.2
                             gputils            1.5.0-2.0            1.5.0-2.2
                               gx-go            1.9.0-1.2            1.9.0-1.3
                             hd-idle             1.05-2.0             1.05-2.2
                              hdapsd         20141203-3.1         20141203-3.3
                          httptunnel              3.3-6.2              3.3-6.3
                               id3v2           0.1.12-5.1           0.1.12-5.3
                         idle3-tools            0.9.1-6.1            0.9.1-6.3
                              ioping              1.1-1.0              1.1-1.2
                             isatapd            0.9.7-5.1            0.9.7-5.3
                           jpegoptim            1.4.6-1.1            1.4.6-1.2
                              lbzip2              2.5-4.1              2.5-4.3
                              ld-lsb                3-7.0                3-7.2
                              libcss            0.8.0-2.0            0.9.0-1.0
                      libjpeg6-turbo            1.5.3-1.1            1.5.3-1.3
                              libnl1            1.1.4-2.1            1.1.4-2.3
                    libretro-yabause             2953-1.2             2953-1.4
                               light              1.2-2.0              1.2-2.2
                                lout             3.40-2.1             3.40-2.3
                             lxsplit            0.2.4-4.1            0.2.4-4.3
                          macchanger            1.7.0-4.0            1.7.0-4.2
                                mcdp             0.4b-4.1             0.4b-4.3
                             mdf2iso            0.3.1-2.1            0.3.1-2.3
                                mdk3               v6-7.0               v6-7.2
                           mdns-scan              0.5-5.0              0.5-5.2
                                meek             0.30-2.0             0.30-2.2
                           memtester            4.3.0-4.2            4.3.0-4.4
                             minieap           0.92.1-2.1           0.92.1-2.3
                              mmsrip            0.7.0-6.1            0.7.0-6.3
                           msr-tools              1.3-3.1              1.3-3.3
                                musl           1.1.22-2.0           1.1.23-1.0
                               nauty            26r11-1.1            26r11-1.3
                             nbtscan            1.5.1-7.1            1.5.1-7.3
                              ndisc6            1.0.4-1.0            1.0.4-1.2
                            netbrake              0.2-6.1              0.2-6.3
                             netperf            2.7.0-4.0            2.7.0-4.2
                              nimble         1:0.8.10-1.1         1:0.8.10-1.3
                             nrg2iso             0.4-10.1             0.4-10.3
                             nyancat            1.5.2-1.0            1.5.2-1.2
                   ocaml-easy-format            1.3.1-3.0            1.3.1-3.2
                                palp              2.1-2.3              2.1-2.5
                               pdnsd         1.2.9.a-13.1         1.2.9.a-13.3
                             picocom              3.1-1.1              3.1-1.3
                            pixiewps            1.4.2-1.1            1.4.2-1.3
                           planarity          3.0.0.5-2.0          3.0.0.5-2.2
                             plantri              5.0-1.1              5.0-1.3
                                  pv            1.6.6-2.0            1.6.6-2.2
                                pvoc           0.1.12-4.4           0.1.12-4.5
                               pwgen             2.08-1.1             2.08-1.3
                python-pip-bootstrap           19.0.3-1.0           19.2.1-1.0
                         python-zipp            0.5.2-1.0            0.5.2-1.1
               python2-pip-bootstrap           19.0.3-1.0           19.2.1-1.0
                        python2-zipp            0.5.2-1.0            0.5.2-1.1
                              qprint              1.1-1.1              1.1-1.3
                              reptyr            0.7.0-1.0            0.7.0-1.2
                                 rkt           1.30.0-1.1           1.30.0-1.3
                           ruby-thin            1.7.2-3.0            1.7.2-3.2
                           schedtool            1.3.0-6.0            1.3.0-6.2
                             scponly             4.8-10.1             4.8-10.3
                             ser2net              3.5-1.1              3.5-1.3
                          shfs-utils             0.35-6.1             0.35-6.3
                             shntool           3.0.10-5.0           3.0.10-5.2
                             shuffle              1.5-6.2              1.5-6.4
                             sipcalc            1.1.6-3.2            1.1.6-3.4
                          spawn-fcgi            1.6.4-3.0            1.6.4-3.2
                             t1utils             1.41-2.1             1.41-2.3
                         tap-plugins            1.0.0-3.1            1.0.0-3.3
                                 tcc           0.9.27-3.2           0.9.27-3.4
                           tinyproxy           1.10.0-1.1           1.10.0-1.3
                          tinyserial         20090305-3.1         20090305-3.3
                             toolame             02l-11.1             02l-11.3
                             ttyload            0.5.3-2.1            0.5.3-2.3
                               unarj            2.63a-5.1            2.63a-5.3
                               unrtf          0.21.10-1.0          0.21.10-1.2
                              usleep              1.0-4.0              1.0-4.2
                            visitors              0.7-5.1              0.7-5.3
                              wpscan          1:3.5.4-1.1          1:3.6.2-1.0
                                wren            0.1.0-2.0            0.1.0-2.2
                            xtmsplit              0.2-5.1              0.2-5.3
                               yamdi              1.9-3.2              1.9-3.4
                               zsync            0.6.2-4.1            0.6.2-4.3
                                zzuf             0.15-2.1             0.15-2.3
                                 mdp                    -           1.0.15-1.1
                     perl-json-parse                    -             0.55-1.0
                             samurai                    -              0.7-1.1
                              sowing                    -           1.1.26-1.0

Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It's a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren't the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren't as many packagers. If you notice an important package is lagging please report it; at the moment it's only me packaging for i686:

I'm only packaging current LTS kernels. Any marked as EOL are dropped. I'll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn't this meant to be stable?

"Stable" means "infrequently changing", not "everything will work perfectly all the time". If you want it to mean everything works, you need to help test the things you're interested in.

What about installer images?

Yes, this is old and doesn't work great. Because time.

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by the adventurous who want to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable. However: expect breakage.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


2 Likes

Known issues and solutions


ndiswrapper has file conflicts

The packages need a rebuild, they're coming soon. Check for package updates again.


Warning: audit: directory permissions differ on /var/log/audit/filesystem: 755 package: 700

Fixed with this:
Execute sudo chmod 700 /var/log/audit/ in terminal

No problems and it left my EOL kernels alone.

The packages linux414-ndiswrapper, linux419-ndiswrapper and ndiswrapper-utils contain conflicting files:

usr/bin/loadndisdriver existiert in 'ndiswrapper-utils' und 'linux414-ndiswrapper'
/usr/bin/ndiswrapper existiert in 'ndiswrapper-utils' und 'linux414-ndiswrapper'
/usr/bin/ndiswrapper-buginfo existiert in 'ndiswrapper-utils' und 'linux414-ndiswrapper'
/usr/share/man/man8/loadndisdriver.8.gz existiert in 'ndiswrapper-utils' und 'linux414-ndiswrapper'
/usr/share/man/man8/ndiswrapper.8.gz existiert in 'ndiswrapper-utils' und 'linux414-ndiswrapper'
/usr/bin/loadndisdriver existiert in 'ndiswrapper-utils' und 'linux419-ndiswrapper'
/usr/bin/ndiswrapper existiert in 'ndiswrapper-utils' und 'linux419-ndiswrapper'
/usr/bin/ndiswrapper-buginfo existiert in 'ndiswrapper-utils' und 'linux419-ndiswrapper'
/usr/share/man/man8/loadndisdriver.8.gz existiert in 'ndiswrapper-utils' und 'linux419-ndiswrapper'
/usr/share/man/man8/ndiswrapper.8.gz existiert in 'ndiswrapper-utils' und 'linux419-ndiswrapper'
/usr/bin/loadndisdriver existiert in 'linux414-ndiswrapper' und 'linux419-ndiswrapper'
/usr/bin/ndiswrapper existiert in 'linux414-ndiswrapper' und 'linux419-ndiswrapper'
/usr/bin/ndiswrapper-buginfo existiert in 'linux414-ndiswrapper' und 'linux419-ndiswrapper'
/usr/share/man/man8/loadndisdriver.8.gz existiert in 'linux414-ndiswrapper' und 'linux419-ndiswrapper'
/usr/share/man/man8/ndiswrapper.8.gz existiert in 'linux414-ndiswrapper' und 'linux419-ndiswrapper'
1 Like

Same for me. A short investigation lead to the following:

@jonathon:

  1. All new linux{version}-ndiswrapper-1.62 contain not only the corresponding kernel module, but also the files located in ndiswrapper-utils package. Hence the conflicts. They should be repackaged.
  2. The ndiswrapper-utils package should also been upgraded from 1.61 to 1.62

Please rebuild and upgrade the packages mentioned above

(the corresponding x86_64 packages are ok)

PS: What I should have mentioned first - Thanks again for Your great work at manjaro keeping 32bit architecture alive. All around the world there are plenty of "old" 32bit machines which could be kept alive instead of beeing sent to Akbobloshi, Accra, Ghana.

1 Like

Yuck. Give me a little while.

Many thanks in advance

OK, so I rebuilt the packages then saw there was a kernel update so I built that too:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            linux414           4.14.135-1           4.14.136-1
                    linux414-headers           4.14.135-1           4.14.136-1
                            linux419            4.19.63-1            4.19.64-1
                    linux419-headers            4.19.63-1            4.19.64-1
                             linux44            4.4.186-1            4.4.187-1
                     linux44-headers            4.4.186-1            4.4.187-1
                             linux49            4.9.186-1            4.9.187-1
                     linux49-headers            4.9.186-1            4.9.187-1
                             systemd             242.84-1             242.85-1
                        systemd-libs             242.84-1             242.85-1
                  systemd-resolvconf             242.84-1             242.85-1
                  systemd-sysvcompat             242.84-1             242.85-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            exo-gtk3             0.12.6-1             0.12.7-2
                   libxfce4util-gtk3             4.13.3-1             4.13.5-1
                linux316-ndiswrapper               1.62-1              1.62-71
                  linux414-acpi_call            1.1.0-135            1.1.0-136
                   linux414-bbswitch              0.8-135              0.8-136
                linux414-broadcom-wl     6.30.223.271-135     6.30.223.271-136
                linux414-ndiswrapper             1.62-135             1.62-136
               linux414-nvidia-340xx          340.107-135          340.107-136
                      linux414-r8168         8.047.02-135         8.047.02-136
                  linux414-rt3562sta       2.4.1.1_r4-135       2.4.1.1_r4-136
                linux414-vhba-module         20190410-135         20190410-136
   linux414-virtualbox-guest-modules            6.0.8-135            6.0.8-136
    linux414-virtualbox-host-modules            6.0.8-135            6.0.8-136
                        linux414-zfs            0.8.1-135            0.8.1-136
                  linux419-acpi_call             1.1.0-63             1.1.0-64
                   linux419-bbswitch               0.8-63               0.8-64
                linux419-broadcom-wl      6.30.223.271-63      6.30.223.271-64
                linux419-ndiswrapper              1.62-63              1.62-64
               linux419-nvidia-340xx           340.107-63           340.107-64
                   linux419-nvidiabl              0.88-63              0.88-64
                      linux419-r8168          8.047.02-63          8.047.02-64
                linux419-vhba-module          20190410-63          20190410-64
   linux419-virtualbox-guest-modules             6.0.8-63             6.0.8-64
    linux419-virtualbox-host-modules             6.0.8-63             6.0.8-64
                        linux419-zfs             0.8.1-63             0.8.1-64
                   linux44-acpi_call            1.1.0-186            1.1.0-187
                 linux44-broadcom-wl     6.30.223.271-186     6.30.223.271-187
                    linux44-catalyst    1:15.201.1151-186    1:15.201.1151-187
                 linux44-ndiswrapper               1.62-1             1.62-187
                       linux44-r8168         8.047.02-186         8.047.02-187
                   linux44-rt3562sta       2.4.1.1_r4-186       2.4.1.1_r4-187
    linux44-virtualbox-guest-modules            6.0.8-186            6.0.8-187
     linux44-virtualbox-host-modules            6.0.8-186            6.0.8-187
                         linux44-zfs            0.8.1-186            0.8.1-187
                   linux49-acpi_call            1.1.0-186            1.1.0-187
                    linux49-bbswitch              0.8-186              0.8-187
                 linux49-broadcom-wl     6.30.223.271-186     6.30.223.271-187
                    linux49-catalyst    1:15.201.1151-186    1:15.201.1151-187
                 linux49-ndiswrapper               1.62-1             1.62-187
                linux49-nvidia-340xx          340.107-186          340.107-187
                       linux49-r8168         8.047.02-186         8.047.02-187
    linux49-virtualbox-guest-modules            6.0.8-186            6.0.8-187
     linux49-virtualbox-host-modules            6.0.8-186            6.0.8-187
                         linux49-zfs            0.8.1-186            0.8.1-187
                       manjaro-hello              0.6.1-2              0.6.1-3
                    rt3562sta-common       2.4.1.1_r4-166       2.4.1.1_r4-187
                         thunar-gtk3              1.8.8-2              1.8.8-4
                    xfce4-panel-gtk3             4.13.6-4             4.13.7-2
                 xfce4-settings-gtk3             4.13.7-9             4.13.8-2
                      xfdesktop-gtk3             4.13.5-4             4.13.6-2
                          xfwm4-gtk3             4.13.3-6             4.13.4-2


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                                 yad                1.0-1                2.0-1

Hey this was as fast as a lightning. What I'm missing is the updated ndiswrapper-utils 1.61 => 1.62 as indicated in e.g. [linux49-ndiswrapper-1.62-1-i686.pkg.tar.xz]

please, please upgrade this package too

Excuse, excuse, just discovered the package in x32-unstable. Would please merge this package with x32-stable

Thank you

Hmm... all the x32-* branches are currently level...

Misreading, made a mistake. My fault. The ndiswrapper-utils are stil of version 1.61

1 Like

OK, I don't actually know what package is providing ndiswrapper-utils now. There was a package split but there's no ndiswrapper-utils on GitLab...

@schinfo Any idea where the ndiswrapper-utils PKGBUILD is?

Ah, it's in here:

Here we go:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                   ndiswrapper-utils             1.61-166               1.62-1

merci vielmals (thank you)

It's a part of every PKGBUILD

#pkgname=("$_linuxprefix-ndiswrapper")
# Disable the line before and use this to additionally build ndiswraper-utils
# It is needed only once!
pkgname=("$_linuxprefix-ndiswrapper" "ndiswrapper-utils")

It's always enabled for the main kernel (5.2 at the moment)

1 Like

I wonder whether it's worth completing the split and making it into a completely separate package. I don't think it needs building for each kernel release/ABI change anyway?

Update went smooth but my default browser was changed from chrome to Firefox. My i3 config and .profile are untouched. Where else could the default browser be set?

Update on 1 System and 1 VB without Problems.

DK3

Got this warning -

Warning: audit: directory permissions differ on /var/log/audit/filesystem: 755 package: 700

Fixed with this:
Execute sudo chmod 700 /var/log/audit/ in terminal

Thanks team. :+1:

1 Like

You can add this to the Known Issues wiki post if you want to. :wink: